<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html">
      
<h:head>
	<title>Cadastrar Cliente</title>
</h:head>

<h:body>
	<div id="divCenter">
	<h:outputText value="Cadastrar cliente" rendered="#{clienteMBean.obj.nome == null}"></h:outputText>
	<h:outputText value="Atualizar cliente" rendered="#{clienteMBean.obj.nome != null}"></h:outputText>
	<h:form>
		<div>
			<br/>
			<h:outputLabel for="nomeCliente">Nome do Cliente *: </h:outputLabel>
			<h:inputText id="nomeCliente" value="#{clienteMBean.obj.nome}" required="true" requiredMessage="Digite o nome do cliente"></h:inputText>
			<br />
			<h:message for="nomeCliente"></h:message>
			<br />
		
		</div>
		
		<h:button outcome="list" value="Ir para a Listagem dos Clientes"></h:button>
		<h:commandButton action="list" value="Atualizar" rendered="#{clienteMBean.obj.nome != null}"></h:commandButton>
		<h:commandButton action="#{clienteMBean.salvar}" value="Cadastrar" rendered="#{clienteMBean.obj.nome == null}"></h:commandButton>
	</h:form>
	</div>
	
	
	<style type="text/css">
		* { margin: 0; padding: 0; font-family:Tahoma; font-size:9pt;}
			
			#divCenter {
				background-color: #e1e1e1;
				width: 400px;
				height: 300px;
				left: 50%;
				margin: -130px 0 0 -210px;
				padding:10px;
				position: absolute;
				top: 50%; 
			}
	</style>	
</h:body>
      
</html>